# Ogre::StdAllocPolicy Class Reference

A "standard" allocation policy for use with AllocatedObject and STLAllocator. More...

`#include <OgreMemoryStdAlloc.h>`

List of all members.

## Static Public Member Functions

static void * | allocateBytes (size_t count, const char *=0, int=0, const char *=0)
static void | deallocateBytes (void *ptr)
static size_t | getMaxAllocationSize ()
| Get the maximum size of a single allocation.

## Private Member Functions

| StdAllocPolicy ()

## Detailed Description

A "standard" allocation policy for use with AllocatedObject and STLAllocator.

This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated.

  This class just delegates to the global malloc/free.

Definition at line 50 of file OgreMemoryStdAlloc.h.

## Constructor & Destructor Documentation

Ogre::StdAllocPolicy::StdAllocPolicy | ( |  | ) | `[private]`

Definition at line 84 of file OgreMemoryStdAlloc.h.

## Member Function Documentation

static void* Ogre::StdAllocPolicy::allocateBytes | ( | size_t | count,
|  | const char * | = `0`,
|  | int | = `0`,
|  | const char * | = `0` |
| ) |  |  | `[static]`

Definition at line 53 of file OgreMemoryStdAlloc.h.

static void Ogre::StdAllocPolicy::deallocateBytes | ( | void * | ptr | ) | `[static]`

Definition at line 69 of file OgreMemoryStdAlloc.h.

static size_t Ogre::StdAllocPolicy::getMaxAllocationSize | ( |  | ) | `[static]`

Get the maximum size of a single allocation.

Definition at line 78 of file OgreMemoryStdAlloc.h.

The documentation for this class was generated from the following file:

- OgreMemoryStdAlloc.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:32:52 2009